%define	upstream_name	 Crypt-OpenSSL-RSA
%define upstream_version 0.28

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    %{upstream_name} module for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

Requires:   openssl
BuildRequires: perl(Crypt::OpenSSL::Random)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test)
BuildRequires: perl-devel
BuildRequires: perl-Crypt-OpenSSL-Random
BuildRequires: openssl-devel
%description
%{upstream_name} module for perl

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml README
%{perl_vendorarch}/auto/Crypt
%{perl_vendorarch}/Crypt
%{_mandir}/man*/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.280.0-12.mga6
+ Revision: 1024538
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.280.0-11.mga6
+ Revision: 956977
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.280.0-10.mga6
+ Revision: 844758
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 0.280.0-9.mga6
+ Revision: 840936
- Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 0.280.0-8.mga5
+ Revision: 744731
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.280.0-7.mga5
+ Revision: 684048
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.280.0-6.mga5
+ Revision: 632196
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.280.0-5.mga4
+ Revision: 524581
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.280.0-4.mga4
+ Revision: 431177
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.280.0-3.mga3
+ Revision: 364901
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.280.0-2.mga3
+ Revision: 250400
- rebuild for perl 5.16
- update to 0.28

* Fri Jul 08 2011 jquelin <jquelin> 0.270.0-1.mga2
+ Revision: 120624
- update to 0.27

* Sun Jun 12 2011 sander85 <sander85> 0.260.0-8.mga2
+ Revision: 105215
- fix autoloader
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.260.0-7.mga1
+ Revision: 31841
- mageia rebuild
- imported package perl-Crypt-OpenSSL-RSA


* Mon Aug 02 2010 Funda Wang <fwang@mandriva.org> 0.260.0-7mdv2011.0
+ Revision: 564957
- rebuild for perl 5.12.1
- rebuild for perl 5.12.1

  + Jérôme Quelin <jquelin@mandriva.org>
    - rebuild

  + Sandro Cazzaniga <kharec@mandriva.org>
    - rebuild

* Wed Apr 07 2010 Funda Wang <fwang@mandriva.org> 0.260.0-3mdv2010.1
+ Revision: 532503
- rebuild

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 0.260.0-2mdv2010.1
+ Revision: 511612
- rebuilt against openssl-0.9.8m

* Tue Nov 24 2009 Jérôme Quelin <jquelin@mandriva.org> 0.260.0-1mdv2010.1
+ Revision: 469435
- update to 0.26

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.250.0-1mdv2010.0
+ Revision: 403034
- rebuild using %%perl_convert_version

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.25-4mdv2009.1
+ Revision: 351696
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.25-3mdv2009.0
+ Revision: 223583
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.25-2mdv2008.1
+ Revision: 152038
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jul 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.25-1mdv2008.0
+ Revision: 47628
- update to new version 0.25


* Fri Nov 24 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.24-1mdv2007.0
+ Revision: 86940
- new version
- Import perl-Crypt-OpenSSL-RSA

* Fri Sep 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.23-2mdv2007.0
- Rebuild

* Sun Apr 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.23-1mdk
- New release 0.23
- spec cleanup
- correct optimisations

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 0.22-3mdk
- rebuilt against openssl-0.9.8a

* Tue Oct 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.22-2mdk
- Fix buildrequires mistake

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.22-1mdk
- 0.22

* Tue Feb 08 2005 Sylvie Terjan <erinmargault@mandrake.org> 0.21-2mdk
- rebuild for new perl

* Thu Apr 22 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.21-1mdk
- 0.21

